We just released our native n8n integration!ยป Try now
OnlyFans API
Users

Unsubscribe from User

Unsubscribe from a user's profile.

DELETE
/api/{account}/users/{user_id}/subscribe
AuthorizationBearer <token>

Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys

In: header

Path Parameters

account*string

The Account ID

user_id*string

The OnlyFans ID of the user to subscribe to.

Request Body

application/json

reason*string

Reason for unsubscribing. Valid options: 1,2,3,4,5. Leave empty for No specific reason.

Response Body

application/json

curl -X DELETE "https://app.onlyfansapi.com/api/acct_XXXXXXXXXXXXXXX/users/123/subscribe" \  -H "Content-Type: application/json" \  -d '{    "reason": null  }'
{
  "data": {
    "success": true,
    "message": "Unsubscribed"
  },
  "_meta": {
    "_credits": {
      "used": 1,
      "balance": 999999,
      "note": "Always"
    },
    "_cache": {
      "is_cached": false,
      "note": "Cache disabled for this endpoint"
    }
  }
}